Name:		meiga		
Version:	0.2.0
Release:	1%{?dist}
Summary:	Easy to use tool to share selected local directories via web

Group:		Applications/Internet
License:	GPLv2
URL:		http://meiga.igalia.com/
Source0:	http://meiga.igalia.com/packages/src/%{name}_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	intltool
BuildRequires:	gettext
#BuildRequires:	libtool
BuildRequires:	vala
BuildRequires:	libsoup-devel
BuildRequires:	gupnp-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
Requires:	dbus
Requires:	gtk2
Requires:	gupnp
#Requires:	libxml2
#Requires:	dbus-glib
#Requires:	libsoup

%description
Meiga is a lightweight, easy to use, network friendly and also
application friendly content server for desktop.
Client side does not need to install any software, as the
shared files can be accessed using web browser. The ultimate
goal is to serve as a common publishing pont for desktop
applications, such as file manager, picture viewers or
music players

%prep
%setup -q -n %{name}_%{version}

%build
intltoolize
autoreconf -f -i
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""					\
		--delete-original					\
		--dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
		$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/pixmaps
fi

%postun
update-desktop-database -q
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/pixmaps
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/fwlocalip
%{_bindir}/fwupnp
%{_bindir}/meiga
%{_bindir}/meigaserver
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/com.igalia.Meiga.service
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/gui.ui
%{_datadir}/%{name}/ui/%{name}-16x16.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%doc AUTHORS COPYING README


%changelog
* Fri Jun 26 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.2.0-1
- Initial package
